|  | Home | Documentation | SOAP_ENV__Code Struct Reference updated by Robert van Engelen |

SOAP_ENV__Code Struct Reference

`#include <addressStub.h>`

Collaboration diagram for SOAP_ENV__Code:
[legend]

## Public Member Functions

long | soap_type () const
| SOAP_ENV__Code ()

## Public Attributes

char * | SOAP_ENV__Value
struct SOAP_ENV__Code * | SOAP_ENV__Subcode

## Friends

SOAP_FMAC1 SOAP_ENV__Code *SOAP_FMAC2 | address_instantiate_SOAP_ENV__Code (struct soap *, int, const char *, const char *, size_t *)

## Detailed Description

Definition at line 180 of file addressStub.h.

## Constructor & Destructor Documentation

## ◆ SOAP_ENV__Code()

SOAP_ENV__Code::SOAP_ENV__Code | ( |  | ) |

inline

Constructor with member initializations

Definition at line 190 of file addressStub.h.

## Member Function Documentation

## ◆ soap_type()

long SOAP_ENV__Code::soap_type | ( |  | ) | const

inline

Return unique type id SOAP_TYPE_SOAP_ENV__Code

Definition at line 188 of file addressStub.h.

## Friends And Related Symbol Documentation

## ◆ address_instantiate_SOAP_ENV__Code

SOAP_FMAC1 SOAP_ENV__Code *SOAP_FMAC2 address_instantiate_SOAP_ENV__Code | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * | )

friend

Friend allocator

## Member Data Documentation

## ◆ SOAP_ENV__Subcode

struct SOAP_ENV__Code* SOAP_ENV__Code::SOAP_ENV__Subcode

Optional element 'SOAP-ENV:Subcode' of XML schema type 'SOAP-ENV:Code'

Definition at line 185 of file addressStub.h.

## ◆ SOAP_ENV__Value

char* SOAP_ENV__Code::SOAP_ENV__Value

Optional element 'SOAP-ENV:Value' of XML schema type 'xsd:QName'

Definition at line 183 of file addressStub.h.

The documentation for this struct was generated from the following file:

- addressStub.h